Cryload::Cli::Options - cryload 6.0.0

# class Cryload::Cli::Options

- Cryload::Cli::Options
- Reference
- Object

##
Overview

Typed CLI options populated by the option parser. Nilable fields mean "not provided"; booleans default to their flag-absent value.

##
Defined in:

cryload/cli_options.cr

##
Instance Method Summary

- #basic_auth : String | Nil
- #basic_auth=(basic_auth : String | Nil)
- #body : String | Nil
- #body=(body : String | Nil)
- #body_file : String | Nil
- #body_file=(body_file : String | Nil)
- #body_stdin=(body_stdin : Bool)
- #body_stdin? : Bool
- #connections : Int32
- #connections=(connections : Int32)
- #cookies : Array(String)
- #cookies=(cookies : Array(String))
- #disable_keepalive=(disable_keepalive : Bool)
- #disable_keepalive? : Bool
- #duration : Time::Span | Nil
- #duration=(duration : Time::Span | Nil)
- #fail_on_error=(fail_on_error : Bool)
- #fail_on_error? : Bool
- #fail_on_rate_miss=(fail_on_rate_miss : Bool)
- #fail_on_rate_miss? : Bool
- #fail_on_transport_error=(fail_on_transport_error : Bool)
- #fail_on_transport_error? : Bool
- #follow_redirects=(follow_redirects : Bool)
- #follow_redirects? : Bool
- #headers : Array(String)
- #headers=(headers : Array(String))
- #host_header : String | Nil
- #host_header=(host_header : String | Nil)
- #insecure=(insecure : Bool)
- #insecure? : Bool
- #json=(json : Bool)
- #json? : Bool
- #latency_correction=(latency_correction : Bool)
- #latency_correction? : Bool
- #max_fail_rate : Float64 | Nil
- #max_fail_rate=(max_fail_rate : Float64 | Nil)
- #max_latency : Hash(Threshold::Metric, Float64)
- #max_latency=(max_latency : Hash(Threshold::Metric, Float64))
- #method : String
- #method=(method : String)
- #min_rps : Float64 | Nil
- #min_rps=(min_rps : Float64 | Nil)
- #numbers : Int32 | Nil
- #numbers=(numbers : Int32 | Nil)
- #output_format : String | Nil
- #output_format=(output_format : String | Nil)
- #progress : Bool | Nil

  nil means "decide from the terminal": progress belongs on an interactive stderr, not in a CI log full of carriage returns.

- #progress=(progress : Bool | Nil)

  nil means "decide from the terminal": progress belongs on an interactive stderr, not in a CI log full of carriage returns.

- #proxy : String | Nil
- #proxy=(proxy : String | Nil)
- #random_path=(random_path : Bool)
- #random_path? : Bool
- #rate : Float64 | Nil
- #rate=(rate : Float64 | Nil)
- #request_timeout : Time::Span | Nil
- #request_timeout=(request_timeout : Time::Span | Nil)
- #server : String | Nil
- #server=(server : String | Nil)
- #success_status : String | Nil
- #success_status=(success_status : String | Nil)
- #timeout : Time::Span | Nil
- #timeout=(timeout : Time::Span | Nil)
- #url_thresholds : Array(String)
- #url_thresholds=(url_thresholds : Array(String))
- #urls_file : String | Nil
- #urls_file=(urls_file : String | Nil)
- #user_agent : String | Nil
- #user_agent=(user_agent : String | Nil)
- #warmup : Time::Span | Nil
- #warmup=(warmup : Time::Span | Nil)
- #workers : Int32 | Nil
- #workers=(workers : Int32 | Nil)

##
Instance Method Detail

def basic_auth : String | Nil #
def basic_auth=(basic_auth : String | Nil) #
def body : String | Nil #
def body=(body : String | Nil) #
def body_file : String | Nil #
def body_file=(body_file : String | Nil) #
def body_stdin=(body_stdin : Bool) #
def body_stdin? : Bool #
def connections : Int32 #
def connections=(connections : Int32) #
def cookies : Array(String) #
def cookies=(cookies : Array(String)) #
def disable_keepalive=(disable_keepalive : Bool) #
def disable_keepalive? : Bool #
def duration : Time::Span | Nil #
def duration=(duration : Time::Span | Nil) #
def fail_on_error=(fail_on_error : Bool) #
def fail_on_error? : Bool #
def fail_on_rate_miss=(fail_on_rate_miss : Bool) #
def fail_on_rate_miss? : Bool #
def fail_on_transport_error=(fail_on_transport_error : Bool) #
def fail_on_transport_error? : Bool #
def follow_redirects=(follow_redirects : Bool) #
def follow_redirects? : Bool #
def headers : Array(String) #
def headers=(headers : Array(String)) #
def host_header : String | Nil #
def host_header=(host_header : String | Nil) #
def insecure=(insecure : Bool) #
def insecure? : Bool #
def json=(json : Bool) #
def json? : Bool #
def latency_correction=(latency_correction : Bool) #
def latency_correction? : Bool #
def max_fail_rate : Float64 | Nil #
def max_fail_rate=(max_fail_rate : Float64 | Nil) #
def max_latency : Hash(Threshold::Metric, Float64) #
def max_latency=(max_latency : Hash(Threshold::Metric, Float64)) #
def method : String #
def method=(method : String) #
def min_rps : Float64 | Nil #
def min_rps=(min_rps : Float64 | Nil) #
def numbers : Int32 | Nil #
def numbers=(numbers : Int32 | Nil) #
def output_format : String | Nil #
def output_format=(output_format : String | Nil) #
def progress : Bool | Nil #

nil means "decide from the terminal": progress belongs on an interactive stderr, not in a CI log full of carriage returns.

def progress=(progress : Bool | Nil) #

nil means "decide from the terminal": progress belongs on an interactive stderr, not in a CI log full of carriage returns.

def proxy : String | Nil #
def proxy=(proxy : String | Nil) #
def random_path=(random_path : Bool) #
def random_path? : Bool #
def rate : Float64 | Nil #
def rate=(rate : Float64 | Nil) #
def request_timeout : Time::Span | Nil #
def request_timeout=(request_timeout : Time::Span | Nil) #
def server : String | Nil #
def server=(server : String | Nil) #
def success_status : String | Nil #
def success_status=(success_status : String | Nil) #
def timeout : Time::Span | Nil #
def timeout=(timeout : Time::Span | Nil) #
def url_thresholds : Array(String) #
def url_thresholds=(url_thresholds : Array(String)) #
def urls_file : String | Nil #
def urls_file=(urls_file : String | Nil) #
def user_agent : String | Nil #
def user_agent=(user_agent : String | Nil) #
def warmup : Time::Span | Nil #
def warmup=(warmup : Time::Span | Nil) #
def workers : Int32 | Nil #
def workers=(workers : Int32 | Nil) #